## GFilterOutputStream

GFilterOutputStream — Filter Output Stream

## Functions

GOutputStream * | g_filter_output_stream_get_base_stream ()
gboolean | g_filter_output_stream_get_close_base_stream ()
void | g_filter_output_stream_set_close_base_stream ()

## Properties

GOutputStream * | base-stream | Read / Write / Construct Only
gboolean | close-base-stream | Read / Write / Construct Only

## Types and Values

| GFilterOutputStream

## Object Hierarchy

        GObject
        ╰── GOutputStream
            ╰── GFilterOutputStream
                ├── GBufferedOutputStream
                ├── GConverterOutputStream
                ╰── GDataOutputStream

## Includes

    #include <gio/gio.h>

## Description

Base class for output stream implementations that perform some kind of filtering operation on a base stream. Typical examples of filtering operations are character set conversion, compression and byte order flipping.

## Functions

### g_filter_output_stream_get_base_stream ()

    GOutputStream *
    g_filter_output_stream_get_base_stream
                                   (GFilterOutputStream *stream);

Gets the base stream for the filter stream.

#### Parameters

stream | a GFilterOutputStream. |

#### Returns

a GOutputStream.

[transfer none]

### g_filter_output_stream_get_close_base_stream ()

    gboolean
    g_filter_output_stream_get_close_base_stream
                                   (GFilterOutputStream *stream);

Returns whether the base stream will be closed when `stream` is closed.

#### Parameters

stream | a GFilterOutputStream. |

#### Returns

`TRUE` if the base stream will be closed.

### g_filter_output_stream_set_close_base_stream ()

    void
    g_filter_output_stream_set_close_base_stream
                                   (GFilterOutputStream *stream,
                                    gboolean close_base);

Sets whether the base stream will be closed when `stream` is closed.

#### Parameters

stream | a GFilterOutputStream. |
close_base | `TRUE` to close the base stream. |

## Types and Values

### GFilterOutputStream

    typedef struct _GFilterOutputStream GFilterOutputStream;

A base class for all output streams that work on an underlying stream.

## Property Details

### The `“base-stream”` property

      “base-stream”              GOutputStream *

The underlying base stream on which the io ops will be done.

Flags: Read / Write / Construct Only

### The `“close-base-stream”` property

      “close-base-stream”        gboolean

If the base stream should be closed when the filter stream is closed.

Flags: Read / Write / Construct Only

Default value: TRUE